org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible

## Interface ExtensiblePackage

    public interface ExtensiblePackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ExtensibleFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `ExtensiblePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static ExtensiblePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `QUERY` The meta object id for the '`Query`' class.
`static int` `QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `QUERY_FEATURE_COUNT` The number of structural features of the 'Query' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`ExtensibleFactory` `getExtensibleFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getQuery_CanBeCached()` Returns the meta object for the attribute '`Can Be Cached`'.
`EAttribute` `getQuery_CanHaveSideEffects()` Returns the meta object for the attribute '`Can Have Side Effects`'.
`EClass` `getQuery()` Returns the meta object for class '`Query`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final ExtensiblePackage eINSTANCE

The singleton instance of the package.

Generated:

#### QUERY

    static final int QUERY

The meta object id for the '`Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.impl.QueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.impl.ExtensiblePackageImpl#getQuery()`, Constant Field Values
Generated:

#### QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### QUERY__CAN_BE_CACHED

    static final int QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### QUERY_FEATURE_COUNT

    static final int QUERY_FEATURE_COUNT

The number of structural features of the 'Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getQuery

    EClass getQuery()

Returns the meta object for class '`Query`'.

Returns:
  the meta object for class 'Query'.
See Also:
  `Query`
Generated:

#### getQuery_CanHaveSideEffects

    EAttribute getQuery_CanHaveSideEffects()

Returns the meta object for the attribute '`Can Have Side Effects`'.

Returns:
  the meta object for the attribute 'Can Have Side Effects'.
See Also:
  `Query.isCanHaveSideEffects()`, `getQuery()`
Generated:

#### getQuery_CanBeCached

    EAttribute getQuery_CanBeCached()

Returns the meta object for the attribute '`Can Be Cached`'.

Returns:
  the meta object for the attribute 'Can Be Cached'.
See Also:
  `Query.isCanBeCached()`, `getQuery()`
Generated:

#### getExtensibleFactory

    ExtensibleFactory getExtensibleFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: